import { world } from "mojang-minecraft"
import { system } from "mojang-minecraft";
import { ActionFormData, MessageFormData, ModalFormData } from "mojang-minecraft-ui"

system.events.beforeWatchdogTerminate.subscribe(data => {
  data.cancel = true;
});
function onPlayerDeath() {
    let players = world.getPlayers()
    for (let player of players) {
      let playerHealt = player.getComponent("minecraft:health").current
      let isDeath = player.hasTag("death")
      let Dimension = world.getDimension('overworld')
      if (playerHealt == 0 && isDeath == false) {
        player.addTag("death")
        let entity = Dimension.spawnEntity("pog:player_corpse", player.location);
        entity.nameTag = "Corpse of " + player.name;
        player.runCommand(`tellraw @s{"rawtext":[{"text": "§a${player.nameTag} §rdied at: §l§e${Math.round(player.location.x)}, ${Math.round(player.location.y)}, ${Math.round(player.location.z)}"}]}`)
      } else if (playerHealt > 0) {
        player.removeTag("death")
      } 
  }
  }


  world.events.tick.subscribe(onPlayerDeath)
  world.events.entityHit.subscribe(data => {
      let { entity } = data
      for (let player of world.getPlayers()) {
if(data.hitEntity.id == 'pog:player_corpse'){
  console.warn("lol");
  bounty_tier_page(entity)
}
    }})

    function bounty_tier_page(entity) {
      let form = new ActionFormData()
      for (let i of world.getPlayers()) {
        form.title("Are You Sure?")
        form.body("You are about to turn your corpse into ashes.\n\nIf you decide to dust you corpse, all stored items will be lost. You will get bonemeal and bones from the remains.")
        ///buttons
        .toggle('Blood And Gore', true)
        .toggle('Jumpscares', true)
        .toggle('Screen Shaking', true)
        form.button("Dust")
        form.button("Spare")
        form.show(entity).then((response) => {
          if (res.formValues[1] === true) {
            world.getDimension('overworld').runCommand('say hi')
          }
          if (res.formValues[1] === false) {
            world.getDimension('overworld').runCommand('say bye')
          }
          if (response.selection == 0) {
            console.warn("Dust")
            world.getDimension('overworld').runCommand('function despawn_corpse_in_radius')
          }
          if (response.selection == 1) {
            console.warn("Spare")
          }
        })
      }
    }
  