
 import { ActionFormData, ModalFormData } from "mojang-minecraft-ui";
 import { SoundOptions } from "mojang-minecraft";
 
 /* ==================== FORMULARIOS ==================== */
 
 //FORMULARIO PARA AGREGAR
world.events.beforeItemUse.subscribe(setWaypoint);

function setWaypoint() { //FUNCION PRINCIPAL
    if (item.id === 'minecraft:diamond' && source.isSneaking === false) {
        SetHangmanConfig(source, world);
          HangmanConfig.show(player).then((res) => { //MENU TO ADD WAYPOINT
            if (res.formValues[0] === true) {
              player.runCommand(`setblock 0 10 -8 redstone_block`)
            }
            if (res.formValues[0] === false) {
              player.runCommand(`setblock 0 10 -8 raw_gold_block`)
            }
            if (res.formValues[1] === true) {
              player.runCommand(`setblock 0 11 -8 redstone_block`)
            }
            if (res.formValues[1] === false) {
              player.runCommand(`setblock 0 11 -8 raw_gold_block`)
            }
            if (res.formValues[2] === true) {
              player.runCommand(`setblock 0 12 -8 redstone_block`)
            }
            if (res.formValues[2] === false) {
              player.runCommand(`setblock 0 12 -8 raw_gold_block`)
            }
          }
        );
    }
}
 export const HangmanConfig = new ModalFormData()
   .title("Hangman Config")
   .textField("Configure The Visuals of the game to make this a more enjoyable experience")
   .toggle('Blood And Gore', true)
   .toggle('Jumpscares', true)
   .toggle('Screen Shaking', true);